Retrieve mDoc status
Roles
Analytics Events
/v2/credentials/mobile/{credentialId}/statusRetrieves the status of an existing mDoc by providing its credentialId.
Analytic events
- MOBILE_CREDENTIAL_STATUS_RETRIEVE_START
- MOBILE_CREDENTIAL_STATUS_RETRIEVE_SUCCESS
- MOBILE_CREDENTIAL_STATUS_RETRIEVE_FAIL
Authorization
bearerAuth In: header
Path Parameters
mDoc identifier
uuidmDoc identifier
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/credentials/mobile/3948c40e-6e19-4ffc-933c-91f643f24264/status"{
"status": "valid"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Update mDoc status POST
Sets the status of an existing mDoc by providing its `credentialId` and the new status. Status can only be **valid**, **suspended** or **invalid**. Once an mDoc's status is updated to **invalid**, it cannot be updated again to any other value. ### **Analytic events** * MOBILE_CREDENTIAL_STATUS_SET_START * MOBILE_CREDENTIAL_STATUS_SET_SUCCESS * MOBILE_CREDENTIAL_STATUS_SET_FAIL
Delete mDoc metadata DELETE
Deletes all stored data for an existing mDoc that matches the provided ID. Removed credential data cannot be recovered. ### **Analytic events** * USER_CREDENTIAL_DELETE_START * USER_CREDENTIAL_DELETE_SUCCESS * USER_CREDENTIAL_DELETE_FAIL